Subject: To read a file

From: Fatih Hocaoglu <[email-masked]>
Date: Wed, 22 Mar 2000 16:22:18 -0700 (MST)

Dear members,

I have written a prolog program. But I want to make another prolog
program file (such as a knowledge base) read. I made the file read.

But I don't know how I can assert the rules that are read as a
predicate.     

For example,
The program read a rule such as set_trust(on) from the knowledge base and
assigned it to a variable, X='set_trust(on)'. How can I assert the
predicate set_trust(on).

I tried to use asserta(X), but it doesn't work, I think type conversion
necessary.

Best regards.

Fatih